#
#	WARNING: Do Not Remove This Section
#
#	$RCSfile: min_max.awk,v $
#	$Revision: 1.2 $
#	$Date: 2006/10/16 12:25:44 $
#	$Author: zapreevis $
#	
#	MRMC is a model checker for discrete-time and continuous-time Markov reward models.
#	It supports reward extensions of PCTL and CSL (PRCTL and CSRL), and allows for the
#	automated verification of properties concerning long-run and instantaneous rewards
#	as well as cumulative rewards.
#	
#	Copyright (C) The University of Twente, 2004-2006.
#	Authors: Ivan Zapreev
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License
#	as published by the Free Software Foundation; either version 2
#	of the License, or (at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#	Our contacts:
#		Formal Methods and Tools Group, University of Twente,
#		P.O. Box 217, 7500 AE Enschede, The Netherlands,
#		Phone: +31 53 4893767, Fax: +31 53 4893247,
#		E-mail: mrmc@cs.utwente.nl
#
#	Source description: The input is the list of files which we have to read
#	and just find the MIN and MAX values! Prints "MIN;MAX" in the output.
#	NOTE: There is a -v microseconds="..." parameter that should be a number
#	originally MRMC produces the output time in microseconds, sometimes we want
#	to have results in miliseconds, then we should use: -v microseconds=1000. For
#	seconds: -v microseconds=1000000, for minutes: -v microseconds=60000000, etc ..

BEGIN{
	RS="\n| ";
	first = 1;
}

{
	while ( ( getline line < $0 ) > 0){
		if ( first == 1 ){
			MAX = line;
			MIN = line;
			first = 0;
		}else{
			if ( line > MAX) {
				MAX = line;
			}else{
				if ( line < MIN ) {
					MIN = line;
				}
			}
		}
	}
	close($0)
}

END {
	OFS=";"
	#NOTE: Here we convert the time in to the desired time unit
	print MIN / microseconds, MAX / microseconds;
}
